Bug 1573354 - Distro installer should include xorg-x11-drv-amdgpu as part of base system
Summary: Distro installer should include xorg-x11-drv-amdgpu as part of base system
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD - Xfce
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 01:49 UTC by Oyvind Saether
Modified: 2019-05-28 19:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:58:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Oyvind Saether 2018-05-01 01:49:34 UTC
amdgpu is now the default driver loaded for AMD GPUs, for Vega's it's the only choice.

Fedora ("Fedora Xfce Live x86_64 28_Beta" torrent) installs xorg-x11-drv-ati and xorg-x11-drv-nouveau and xorg-x11-drv-intel and lots of other things but NOT xorg-x11-drv-amdgpu for some reason. This makes Xorg work badly using the ati driver instead of amdgpu. This causes problems. Some are very bad such as your monitor goes into suspend and X crashes and now you're doomed.

I'm not a linux scientist so it took me a while to realize the cause of pain was no xorg-x11-drv-amdgpu because I blindly assumed it had been installed automagically.

Please make sure the Fedora installer grabs xorg-x11-drv-amdgpu of xorg is installed (or I can just leave it in a script I personally run first thing after a fresh install anyway and everyone else gets bad bugs).

Thank you for reading all of this.

Comment 1 Kevin Fenzi 2018-05-01 02:31:03 UTC
Adding xgl-maint for comment...

Comment 2 Ben Cotton 2019-05-02 21:53:29 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 19:58:59 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.